## logidee-tools 1.2.2-3

=== Makefile ===
# $Id: Makefile,v 1.6 2001/06/23 00:47:42 rhertzog Exp $
# Raphal Hertzog, Logide 2000-2001
# See LICENSE file for the copyright notice
# Copie le Makefile gnrique dans tous les rpertoires XML

REP=doc xml

doc: 

makefiles: 
	@for i in $(REP) ; do \
  		echo Creating Makefile in $$i ; \
  		cp Makefile.generic $$i/Makefile ; \
	done

cleanmakefiles:
	@for i in $(REP) ; do \
  		echo Removing Makefile in $$i ; \
  		rm -f $$i/Makefile ; \
	done

catalog: catalogue.xml xsl/catalogue.xsl
	test -d catalog || mkdir catalog
	xsltproc --param dir \'$(PWD)\' \
		 --param odir \'$(PWD)/catalog\' \
	    xsl/catalogue.xsl catalogue.xml >catalog/index.html
	cp charte/default/default.css catalog/

%:
	@for i in $(REP) ; do \
		make -C $$i $@ ; \
	done

.PHONY: makefiles cleanmakefiles catalogue select-%

=== debian/changelog ===
logidee-tools (1.2.2-3) unstable; urgency=low

  * Corrected URL in copyright file. Closes: #131519 

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 31 Jan 2002 00:03:07 +0100

logidee-tools (1.2.2-2) unstable; urgency=low

  * Add support for doc-base. Closes: #112530
  * Removed the "notice" page for the "formation slideshow".

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 19 Sep 2001 12:01:33 +0200

logidee-tools (1.2.2-1) unstable; urgency=low

  * Corrections for libxml2 (>2.4.3). Older versions don't work
    with recent versions of libxml2 ! Please upgrade.
  * little corrections for module-txt

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 15 Sep 2001 12:49:44 +0200

logidee-tools (1.2.1-1) unstable; urgency=low

  * Added german translation.
  * Other little corrections.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 18 Aug 2001 00:22:15 +0200

logidee-tools (1.2-2) unstable; urgency=low

  * Minor bugfix release.
  * Makefile updates and bug fixed in xsl/formation-ptex.xsl

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 24 Jul 2001 10:33:42 +0200

logidee-tools (1.2-1) unstable; urgency=low

  * New stable release.
  * logidee-tools-tex has been replaced by tetex-eurosym.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 24 Jul 2001 10:33:33 +0200

logidee-tools (1.1-1) unstable; urgency=low

  * Development release.
  * Implements "slideshow" (idea and code borrowed from Eric Bischoff).
  * Makefiles switched to english.
  * Completely changed the way to treat entities. XSLT does now
    convert characters that needs to be escaped ...
  * DTD converted in english.
  * Docbook -> logidee stylesheet.
  * Stylesheet that upgrades documents to the new DTD.
  * Replacement of Trebuchet fonts by Avantgarde fonts in .cls files
  * Internationalized everything. 
  * Added a <math> element for math formulas.
  * Updated documentation.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 22 Jun 2001 15:35:44 +0200

logidee-tools (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Raphael Hertzog <hertzog@debian.org>  Fri,  1 Jun 2001 12:21:20 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphael Hertzog <hertzog@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), xsltproc, gs | gs-aladdin, tetex-extra, tetex-eurosym
Standards-Version: 3.5.2

Package: logidee-tools
Architecture: all
Depends: tetex-eurosym, xsltproc (>= 1.0), libxml2 (>= 2.4.0), tetex-extra, psutils, gs-aladdin | gs, imagemagick
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English and in
 French.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) makefiles
	cd doc; make tools.html dtd.html formation_doc.pdf CHARTE=gfdl; cd ..
	#/usr/bin/docbook-to-man debian/logidee-tools.sgml > logidee-tools.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean
	-$(MAKE) cleanmakefiles
	-rm -f dtd/entities
	-rm -rf catalogue
	

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/logidee-tools.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/logidee-tools
	mkdir -p $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/
	cp -a bin charte xsl dtd vim xml Makefile* $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/
	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
	    -name 'CVS' -a -type d | xargs -r rm -rf
	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
	    -name '.cvsignore' | xargs -r rm -f
	install -m 0755 bin/setup $(CURDIR)/debian/logidee-tools/usr/bin/setup-logidee-tools
	rm -f $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/dtd/entities


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs README doc/tools.html doc/dtd.html doc/formation_doc.pdf doc/*.xml
	dh_installexamples doc/*.xml
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/setup-logidee-tools.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## logidee-tools 1.2.4-2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.6 2001/06/23 00:47:42 rhertzog Exp $
+# $Id: Makefile,v 1.7 2002/05/23 18:53:59 rhertzog Exp $
 # Raphal Hertzog, Logide 2000-2001
 # See LICENSE file for the copyright notice
 # Copie le Makefile gnrique dans tous les rpertoires XML
@@ -28,7 +28,7 @@
 
 %:
 	@for i in $(REP) ; do \
-		make -C $$i $@ ; \
+		(cd $$i && make $@) ; \
 	done
 
 .PHONY: makefiles cleanmakefiles catalogue select-%

=== debian/changelog ===
logidee-tools (1.2.4-2) unstable; urgency=low

  * Fix for make html in the root directory. Closes: #157397
  * Explain that book, chapter and article are the only docbook documents
    supported within the db2logidee.xsl stylesheet. Closes: #157412
  * Documentation update too.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 21 Sep 2002 15:09:35 +0200

logidee-tools (1.2.4-1) unstable; urgency=low

  * Support a new tag. <glossary name=""/>
  * Fixed a bug in the handling of double quotes.

 -- Raphael Hertzog <hertzog@debian.org>  Wed,  8 May 2002 10:20:16 +0200

logidee-tools (1.2.3-1) unstable; urgency=low

  * Fix spelling errors in messages.inc. Closes: #136215
  * Include spanish translation. Closes: #137259
    Thanks to Jos Luis Gmez Dans.
  * Added the possibility to have questions without answers. Closes: #132624

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 18 Apr 2002 15:28:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphael Hertzog <hertzog@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), xsltproc, gs | gs-aladdin, tetex-extra, tetex-eurosym
-Standards-Version: 3.5.2
+Standards-Version: 3.5.7
 
 Package: logidee-tools
 Architecture: all
@@ -13,5 +13,7 @@
  can then export those courses in various formats (PS, PDF, HTML)
  using several XSL stylesheets.
  .
- The DTD is quite simple and you can generate files in English and in
- French.
+ The DTD is quite simple and you can generate files in English, in
+ French, in German and in Spanish.
+ .
+ WARNING: The documentation is only available in French.

## logidee-tools 1.2.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.7 2002/05/23 18:53:59 rhertzog Exp $
+# $Id: Makefile 104 2005-11-09 20:38:45Z buxy $
 # Raphal Hertzog, Logide 2000-2001
 # See LICENSE file for the copyright notice
 # Copie le Makefile gnrique dans tous les rpertoires XML
@@ -9,14 +9,17 @@
 
 makefiles: 
 	@for i in $(REP) ; do \
-  		echo Creating Makefile in $$i ; \
-  		cp Makefile.generic $$i/Makefile ; \
+		echo Creating Makefile in $$i ; \
+		cp Makefile.generic $$i/Makefile ; \
+		if test -r $$i/Makefile.local ; then \
+			perl -pi -e "s|^#include Makefile.local$$|include Makefile.local|" $$i/Makefile ; \
+		fi ; \
 	done
 
 cleanmakefiles:
 	@for i in $(REP) ; do \
-  		echo Removing Makefile in $$i ; \
-  		rm -f $$i/Makefile ; \
+		echo Removing Makefile in $$i ; \
+		rm -f $$i/Makefile ; \
 	done
 
 catalog: catalogue.xml xsl/catalogue.xsl

=== debian/changelog ===
logidee-tools (1.2.7) unstable; urgency=low

  * Stéphane Casset:
    - Add a new parameter slide which control if the slide is to be printed.
    - Fix TeX output with "--".
    - Fix slideshow XSL: diapoauto template was duplicated.
    - Updated TeX style.
  * Raphaël Hertzog:
    - Added the possibility to customize the Makefile with a
      Makefile.local (patch from Yann Dirson).
    - Fix description of page in dtd/module.dtd to be deterministic.
      And keep xmllint happy ...
    - Fix clean rules to remove only files associated with a basename of an
      XML file.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 11 Jan 2006 21:25:32 +0000

logidee-tools (1.2.6) unstable; urgency=low

  * Rewrite XSL stylesheets to avoid using variables
    in match attribute of templates. Closes: #336280
  * Allow sub-sub-section in text mode too.

 -- Raphael Hertzog <hertzog@debian.org>  Sat,  5 Nov 2005 21:41:08 +0100

logidee-tools (1.2.5) unstable; urgency=low

  * Fix several lintian warnings.
  * Replaced dependency on tetex-eurosym by tetex-extra (>= 1.0.2+20021025-4).
  * Integrated standard XML entities in DTD. Closes: #165885
  * Applied patch for sub-sub-section support. Closes: #165193

 -- Raphael Hertzog <hertzog@debian.org>  Sat,  5 Nov 2005 14:26:47 +0100

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphael Hertzog <hertzog@debian.org>
Build-Depends-Indep: debhelper (>= 4), xsltproc, gs | gs-aladdin, tetex-extra (>= 1.0.2+20021025-4)
Standards-Version: 3.6.2

Package: logidee-tools
Architecture: all
Depends: xsltproc (>= 1.0), libxml2 (>= 2.4.0), tetex-extra (>= 1.0.2+20021025-4), psutils, gs-aladdin | gs, imagemagick
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -52,6 +49,8 @@
 	mkdir -p $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/
 	cp -a bin charte xsl dtd vim xml Makefile* $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/
 	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
+	    -name '.svn' -a -type d | xargs -r rm -rf
+	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
 	    -name 'CVS' -a -type d | xargs -r rm -rf
 	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
 	    -name '.cvsignore' | xargs -r rm -f

## logidee-tools 1.2.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 104 2005-11-09 20:38:45Z buxy $
+# $Id: Makefile 118 2008-02-03 21:41:54Z hertzog $
 # Raphal Hertzog, Logide 2000-2001
 # See LICENSE file for the copyright notice
 # Copie le Makefile gnrique dans tous les rpertoires XML
@@ -31,7 +31,7 @@
 
 %:
 	@for i in $(REP) ; do \
-		(cd $$i && make $@) ; \
+		$(MAKE) -C $$i $@ ; \
 	done
 
 .PHONY: makefiles cleanmakefiles catalogue select-%

=== debian/changelog ===
logidee-tools (1.2.10) unstable; urgency=medium

  * Depends on "ghostscript | gs" so that the package can migrate to testing
    even if the new ghostscript package is blocked in sid... urgency set to
    medium as the package has waited long enough already and this upload
    doesn't introduce any change except the dependency.
  * Updated doc-base files to UTF-8 and updated sections (fix lintian
    warnings).

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 05 Apr 2008 16:44:03 +0200

logidee-tools (1.2.9) unstable; urgency=low

  [ Stéphane Casset: ]
  * Patch by Benjamin Drieu : Display objectives + description for
    modules/themes/formation if any
  * rework of the dependency of included xml files

  [ Raphael Hertzog ]
  * Updated copyright file and converted to UTF-8.
  * Switched debian/compat to 6 and adjusted debhelper build-dependency.
  * Replaced tetex-extra dependencies to a set of texlive-*
    dependencies.
  * Do not ignore errors of make clean in debian/rules clean.
  * Clean up rules file.
  * Updated Standards-Version to 3.7.3 (no changes).
  * Remove usr/sbin from debian/dirs.
  * Fix Makefile.generic and replace \t by real tabs in mktex.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 03 Feb 2008 22:30:08 +0100

logidee-tools (1.2.8) UNRELEASED; urgency=low

  [ Raphaël Hertzog ]
  * Fix output of <url /> in HTML.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 15 Jan 2006 20:13:02 +0100

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphael Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: xsltproc, ghostscript, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra
Standards-Version: 3.7.3
Homepage: http://www.logidee.com/outils/start
Vcs-Svn: svn://svn.debian.org/svn/logidee-tools/trunk
Vcs-Browser: http://svn.debian.org/wsvn/logidee-tools/trunk/

Package: logidee-tools
Architecture: all
Depends: xsltproc (>= 1.0), libxml2 (>= 2.4.0), tetex-extra (>= 1.0.2+20021025-4), psutils, ghostscript | gs, imagemagick, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) makefiles
	cd doc && make tools.html dtd.html formation_doc.pdf CHARTE=gfdl

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	# Add here commands to clean up after the build process.
	[ ! -f doc/Makefile ] || $(MAKE) realclean
	[ ! -f Makefile ] || $(MAKE) cleanmakefiles
	-rm -f dtd/entities
	-rm -rf catalogue
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Add here commands to install the package into debian/logidee-tools
	mkdir -p $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/
	cp -a bin charte xsl dtd vim xml Makefile* $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/
	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
	    -name '.svn' -a -type d | xargs -r rm -rf
	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
	    -name 'CVS' -a -type d | xargs -r rm -rf
	find $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools \
	    -name '.cvsignore' | xargs -r rm -f
	install -m 0755 bin/setup $(CURDIR)/debian/logidee-tools/usr/bin/setup-logidee-tools
	rm -f $(CURDIR)/debian/logidee-tools/usr/share/logidee-tools/dtd/entities


# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README doc/tools.html doc/dtd.html doc/formation_doc.pdf
	dh_installexamples doc/*.xml
	dh_installmenu
	dh_installcron
	dh_installman debian/setup-logidee-tools.1
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## logidee-tools 1.2.11

=== debian/changelog ===
logidee-tools (1.2.11) unstable; urgency=low

  * Fix vim syntax file to refer to unversioned version of
    /usr/share/vim/vim61/syntax/dtd.vim (which is s/vim61/vimcurrent/).
    Closes: #518351
  * Add ${misc:Depends} to Depends and drop tetex-extra from it (obsolete
    package already replaced by various texlive dependencies). Drop gs
    as an alternative to ghostscript.
  * Switch to debhelper compat 7 and its tiny rules file.
  * debian/source/format: use source format 3.0 (native).
  * Upgrade Standards-Version to 3.8.3.
  * Use $(CURDIR) instead of $(PWD) in Makefile.generic, it's more likely to
    work.
  * Update my name in Maintainer field (add the accent).
  * Drop some .cvsignore files.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 29 Oct 2009 00:30:53 +0100

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: xsltproc, ghostscript, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra
Standards-Version: 3.8.3
Homepage: http://www.logidee.com/outils/start
Vcs-Svn: svn://svn.debian.org/svn/logidee-tools/trunk
Vcs-Browser: http://svn.debian.org/wsvn/logidee-tools/trunk/

Package: logidee-tools
Architecture: all
Depends: xsltproc (>= 1.0), libxml2 (>= 2.4.0), psutils, ghostscript, imagemagick, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, ${misc:Depends}
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) makefiles
	$(MAKE) -C doc tools.html dtd.html formation_doc.pdf CHARTE=gfdl

override_dh_auto_clean:
	[ ! -f doc/Makefile ] || $(MAKE) realclean
	[ ! -f Makefile ] || $(MAKE) cleanmakefiles
	-rm -f dtd/entities
	-rm -rf catalogue

override_dh_auto_install:
	install -m 0755 bin/setup debian/logidee-tools/usr/bin/setup-logidee-tools

override_dh_install:
	dh_install
	rm -f debian/logidee-tools/usr/share/logidee-tools/dtd/entities
	find debian/logidee-tools/usr/share/logidee-tools \
	    -name '.svn' -a -type d | xargs -r rm -rf

override_dh_auto_test:
	# Not supported by the Makefile

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## logidee-tools 1.2.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 118 2008-02-03 21:41:54Z hertzog $
+# $Id: Makefile 126 2012-02-06 13:56:35Z hertzog $
 # Raphal Hertzog, Logide 2000-2001
 # See LICENSE file for the copyright notice
 # Copie le Makefile gnrique dans tous les rpertoires XML
@@ -29,9 +29,9 @@
 	    xsl/catalogue.xsl catalogue.xml >catalog/index.html
 	cp charte/default/default.css catalog/
 
-%:
+formations themes %:
 	@for i in $(REP) ; do \
 		$(MAKE) -C $$i $@ ; \
 	done
 
-.PHONY: makefiles cleanmakefiles catalogue select-%
+.PHONY: makefiles cleanmakefiles catalog formations themes %

=== debian/changelog ===
logidee-tools (1.2.12) unstable; urgency=low

  * Add some explicit .PHONY target for "formations" and "themes" to avoid
    clashes with real directories.
  * Use printf instead of echo -e in make help. Fixes output when shell
    is dash and not bash.
  * Add "trainer" icon for trainer notes.
  * Update Standards-Version to 3.9.2.
  * Switch to debhelper compat level 9.
  * Update XSL stylesheets to automatically add an icon for trainer notes.
    Closes: #170680
  * Add ${perl:Depends} to Depends field.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 15 Feb 2012 14:36:49 +0100

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xsltproc, ghostscript, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra
Standards-Version: 3.9.2
Homepage: http://www.logidee.com/outils/start
Vcs-Svn: svn://svn.debian.org/svn/logidee-tools/trunk
Vcs-Browser: http://svn.debian.org/wsvn/logidee-tools/trunk/

Package: logidee-tools
Architecture: all
Depends: xsltproc (>= 1.0), libxml2 (>= 2.4.0), psutils, ghostscript, imagemagick, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, ${misc:Depends}, ${perl:Depends}
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

## logidee-tools 1.2.14

=== debian/changelog ===
logidee-tools (1.2.14) unstable; urgency=low

  * Add "pgf" to Build-Depends and Depends as it's now needed with the latest
    version of TeXlive. Closes: #713527
  * Also add texlive-lang-french and texlive-lang-german which is no longer
    implied by the texlive-latex-extra.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 22 Jun 2013 22:59:33 +0200

logidee-tools (1.2.13) unstable; urgency=low

  * Include verif_dep.sh to fix some Makefile targets. Thanks to Roland Mas
    for the report and the patch. Closes: #705036
  * Fix the VCS and homepage URLs.
  * Update Standards-Version to 3.9.4.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 10 Apr 2013 14:10:04 +0200

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xsltproc, ghostscript, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, pgf, texlive-lang-french, texlive-lang-german
Standards-Version: 3.9.4
Homepage: http://www.logidee.com/doku.php/outils/start
Vcs-Svn: svn://anonscm.debian.org/svn/logidee-tools/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/logidee-tools/trunk/

Package: logidee-tools
Architecture: all
Depends: xsltproc (>= 1.0), libxml2 (>= 2.4.0), psutils, ghostscript, imagemagick, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, pgf, texlive-lang-french, texlive-lang-german, ${misc:Depends}, ${perl:Depends}
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

## logidee-tools 1.2.16

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile 126 2012-02-06 13:56:35Z hertzog $
-# Raphal Hertzog, Logide 2000-2001
+# $Id: Makefile 146 2013-08-07 09:56:51Z hertzog $
+# Raphaël Hertzog, Logidée 2000-2001
 # See LICENSE file for the copyright notice
-# Copie le Makefile gnrique dans tous les rpertoires XML
+# Copie le Makefile générique dans tous les répertoires XML
 
 REP=doc xml

=== debian/changelog ===
logidee-tools (1.2.16) unstable; urgency=low

  * Convert all files to UTF-8 and output UTF-8 by default too.
    Closes: #718836
  * Update VCS url

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 07 Aug 2013 11:59:15 +0200

logidee-tools (1.2.15) unstable; urgency=low

  * Update vim syntax file to use $VIMRUNTIME instead of a hardcoded value.
    Thanks to James McCoy for the report. Closes: #718671 

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 04 Aug 2013 14:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: xsltproc, ghostscript, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, pgf, texlive-lang-french, texlive-lang-german
 Standards-Version: 3.9.4
 Homepage: http://www.logidee.com/doku.php/outils/start
-Vcs-Svn: svn://anonscm.debian.org/svn/logidee-tools/trunk
+Vcs-Svn: svn://anonscm.debian.org/logidee-tools/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/logidee-tools/trunk/
 
 Package: logidee-tools

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,4 @@
 	    -name '.svn' -a -type d | xargs -r rm -rf
 
 override_dh_auto_test:
-	# Not supported by the Makefile
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
+	# Not supported by the upstream Makefile

## logidee-tools 1.2.16ubuntu1

=== debian/changelog ===
logidee-tools (1.2.16ubuntu1) artful; urgency=medium

  * Depend on texlive-pictures instead of NBS pgf (Closes: #865494)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Jun 2017 22:28:36 -0400

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xsltproc, ghostscript, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, texlive-pictures, texlive-lang-french, texlive-lang-german
Standards-Version: 3.9.4
Homepage: http://www.logidee.com/doku.php/outils/start
Vcs-Svn: svn://anonscm.debian.org/logidee-tools/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/logidee-tools/trunk/

Package: logidee-tools
Architecture: all
Depends: xsltproc (>= 1.0), libxml2 (>= 2.4.0), psutils, ghostscript, imagemagick, texlive-fonts-recommended, texlive-latex-recommended, texlive-pstricks, texlive-latex-extra, texlive-pictures, texlive-lang-french, texlive-lang-german, ${misc:Depends}, ${perl:Depends}
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

## logidee-tools 1.2.17

=== debian/changelog ===
logidee-tools (1.2.17) unstable; urgency=medium

  * Replace "pgf" with "texlive-pictures" in dependencies and build
    dependencies. Closes: #865494 Thanks to Jeremy Bicha for the report.
  * Update VCS URLs as I switched from SVN to git.
  * Drop useless dependency on libxml2 (implicit via xsltproc).
  * Update debhelper compat to 10 and switch to Standards-Version 4.0.0.
  * Update copyright file to machine-readable format.
  * Add autopkgtest tests to ensure setup-logidee-tools works and
    that we can run some of the expected make commands.
  * Add libxml2-utils to Recommends for xmllint used by make check.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Jun 2017 13:43:24 +0200

=== debian/control ===
Source: logidee-tools
Section: text
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Build-Depends:
 debhelper (>= 10)
Build-Depends-Indep:
 ghostscript,
 texlive-fonts-recommended,
 texlive-lang-french,
 texlive-lang-german,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-pictures,
 texlive-pstricks,
 xsltproc
Standards-Version: 4.0.0
Homepage: http://www.logidee.com/doku.php/outils/start
Vcs-Git: https://anonscm.debian.org/git/logidee-tools/logidee-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/logidee-tools/logidee-tools.git

Package: logidee-tools
Architecture: all
Depends:
 ghostscript,
 imagemagick,
 psutils,
 texlive-fonts-recommended,
 texlive-lang-french,
 texlive-lang-german,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-pictures,
 texlive-pstricks,
 xsltproc (>= 1.0),
 ${misc:Depends},
 ${perl:Depends}
Recommends:
 libxml2-utils
Description: Tools to write courses in XML and export them to various formats
 logidee-tools is a set of tools to write courses in XML. You
 can then export those courses in various formats (PS, PDF, HTML)
 using several XSL stylesheets.
 .
 The DTD is quite simple and you can generate files in English, in
 French, in German and in Spanish.
 .
 WARNING: The documentation is only available in French.

## logidee-tools 1.2.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 146 2013-08-07 09:56:51Z hertzog $
+# $Id$
 # Raphaël Hertzog, Logidée 2000-2001
 # See LICENSE file for the copyright notice
 # Copie le Makefile générique dans tous les répertoires XML
@@ -29,9 +29,9 @@
 	    xsl/catalogue.xsl catalogue.xml >catalog/index.html
 	cp charte/default/default.css catalog/
 
-formations themes %:
+%:
 	@for i in $(REP) ; do \
 		$(MAKE) -C $$i $@ ; \
 	done
 
-.PHONY: makefiles cleanmakefiles catalog formations themes %
+.PHONY: makefiles cleanmakefiles catalog %

=== debian/changelog ===
logidee-tools (1.2.18) unstable; urgency=medium

  * Move git repository to salsa.
  * Switch to dehelper compat level 11.
  * Bump Standards-Version to 4.1.3.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Feb 2018 12:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
- debhelper (>= 10)
+ debhelper (>= 11)
 Build-Depends-Indep:
  ghostscript,
  texlive-fonts-recommended,
@@ -14,10 +14,10 @@
  texlive-pictures,
  texlive-pstricks,
  xsltproc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.logidee.com/doku.php/outils/start
-Vcs-Git: https://anonscm.debian.org/git/logidee-tools/logidee-tools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/logidee-tools/logidee-tools.git
+Vcs-Git: https://salsa.debian.org/debian/logidee-tools.git
+Vcs-Browser: https://salsa.debian.org/debian/logidee-tools
 
 Package: logidee-tools
 Architecture: all

## logidee-tools 1.2.19

=== debian/changelog ===
logidee-tools (1.2.19) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Raphaël Hertzog ]
  * Pass -dALLOWPSTRANSPARENCY to ps2pdf (Closes: #971642)
  * Bump Standards-Version to 4.5.0
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Oct 2020 16:41:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends:
- debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep:
  ghostscript,
  texlive-fonts-recommended,
@@ -14,7 +13,7 @@
  texlive-pictures,
  texlive-pstricks,
  xsltproc
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://www.logidee.com/doku.php/outils/start
 Vcs-Git: https://salsa.debian.org/debian/logidee-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/logidee-tools

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,11 @@
 	-rm -rf catalogue
 
 override_dh_auto_install:
-	install -m 0755 bin/setup debian/logidee-tools/usr/bin/setup-logidee-tools
+	install -D -m 0755 bin/setup debian/logidee-tools/usr/bin/setup-logidee-tools
 
 override_dh_install:
 	dh_install
 	rm -f debian/logidee-tools/usr/share/logidee-tools/dtd/entities
-	find debian/logidee-tools/usr/share/logidee-tools \
-	    -name '.svn' -a -type d | xargs -r rm -rf
 
 override_dh_auto_test:
 	# Not supported by the upstream Makefile

=== debian/tests/control ===
Tests: basic
Restrictions: needs-recommends, allow-stderr
